Summary: Calico CLI tool
Name: calicoctl
Version: 2.0.2
Release: 1
License: ASL 2.0
URL: http://www.projectcalico.org

# Download https://github.com/projectcalico/calicoctl/archive/v2.0.2.tar.gz
# Run glide install --strip-vendor
Source: calicoctl-2.0.2+vendor.tar.gz
Patch: calicoctl-2.0.2-aix.patch

Group: Applications/System

BuildRequires: gcc-go >= 8.1.0

Requires: libgo >= 8.1.0-2
Requires: libgcc >= 8.1.0-2

%description
The calicoctl command line interface provides a number of resource
management commands to allow you to create, modify, delete, and view
the different Calico resources.

%prep

%setup -q

%patch -p1 -b .aix

%build
export PATH=/usr/bin:/etc:/usr/sbin:/sbin:/opt/freeware/bin

mkdir -p ./_root
mkdir -p ./_build/src/github.com/projectcalico/
ln -s $(pwd) ./_build/src/github.com/projectcalico/calicoctl

export GOPATH=$(pwd)/_build
export GOARCH=ppc64
export CGO_ENABLED=1
export GOROOT=$(pwd)/_root

ulimit -d unlimited
ulimit -m unlimited
ulimit -s unlimited
ulimit -f unlimited

# calicoctl
go build -p=3 -v -gccgoflags="all=-mcmodel=large" -o dist/calicoctl github.com/projectcalico/calicoctl/calicoctl

%install
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
strip -X64 -t dist/calicoctl
/usr/bin/install -M 0755 -f ${RPM_BUILD_ROOT}%{_bindir} dist/calicoctl

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%doc LICENSE README.md
%{_bindir}/calicoctl

%changelog
* Tue Aug 21 2018 Damien Bergamini - 2.0.2-1
- Initial port of calicoctl 2.0.2 to AIX
